# Uses of Class
org.eclipse.core.resources.FileInfoMatcherDescription

Packages that use FileInfoMatcherDescription
Package
Description
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.
org.eclipse.ui.ide.dialogs
APIs for dialogs in the IDE-specific portion of the Eclipse Platform User Interface.

## Uses of FileInfoMatcherDescription in org.eclipse.core.resources

Methods in org.eclipse.core.resources that return FileInfoMatcherDescription
Modifier and Type
Method
Description
`FileInfoMatcherDescription`
IResourceFilterDescription.`getFileInfoMatcherDescription()`
Returns the description of the file info matcher corresponding to this resource filter.
Methods in org.eclipse.core.resources with parameters of type FileInfoMatcherDescription
Modifier and Type
Method
Description
`IResourceFilterDescription`
IContainer.`createFilter(int type, FileInfoMatcherDescription matcherDescription, int updateFlags, IProgressMonitor monitor)`
Adds a new filter to this container.

## Uses of FileInfoMatcherDescription in org.eclipse.ui.ide.dialogs

Methods in org.eclipse.ui.ide.dialogs that return FileInfoMatcherDescription
Modifier and Type
Method
Description
`abstract FileInfoMatcherDescription`
UIResourceFilterDescription.`getFileInfoMatcherDescription()`